> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# バッチスクレイプステータスを取得

> 注: ステータスの追跡および監視機能が強化された、この API の新しい [v2 版](/ja/api-reference/endpoint/batch-scrape-get) が利用可能です。


## OpenAPI

````yaml ja/api-reference/v1-openapi.json get /batch/scrape/{id}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v1
  description: Firecrawl サービスと連携して Web サイトのスクレイピングおよびクロール処理を行うための API です。
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /batch/scrape/{id}:
    parameters:
      - name: id
        in: path
        description: バッチスクレイプジョブのID
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Scraping
      summary: バッチスクレイプジョブの状態を取得する
      operationId: getBatchScrapeStatus
      responses:
        '200':
          description: 成功時のレスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchScrapeStatusResponseObj'
        '402':
          description: お支払いが必要です
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Payment required to access this resource.
        '429':
          description: リクエストが多すぎます。
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
        '500':
          description: サーバーエラー
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: An unexpected error occurred on the server.
      security:
        - bearerAuth: []
components:
  schemas:
    BatchScrapeStatusResponseObj:
      type: object
      properties:
        status:
          type: string
          description: バッチスクレイピングの現在の状態です。`scraping`、`completed`、`failed` のいずれかになります。
        total:
          type: integer
          description: スクレイピングを試みたページ数の合計。
        completed:
          type: integer
          description: 正常にスクレイピングできたページ数。
        creditsUsed:
          type: integer
          description: バッチスクレイピングで使用されたクレジット数。
        expiresAt:
          type: string
          format: date-time
          description: バッチスクレイプの有効期限となる日時。
        next:
          type: string
          nullable: true
          description: >-
            次の 10MB 分のデータを取得するための URL。バッチスクレイプが完了していない場合、またはレスポンスが 10MB
            を超える場合に返されます。
        data:
          type: array
          description: バッチスクレイプで取得されたデータ。
          items:
            type: object
            properties:
              markdown:
                type: string
              html:
                type: string
                nullable: true
                description: '`includeHtml` が true の場合のページ内コンテンツの HTML 版'
              rawHtml:
                type: string
                nullable: true
                description: '`includeRawHtml` が true の場合のページの生の HTML コンテンツ'
              links:
                type: array
                items:
                  type: string
                description: '`includeLinks` が true の場合、ページ内のリンク一覧'
              screenshot:
                type: string
                nullable: true
                description: '`includeScreenshot` が true の場合のページのスクリーンショット'
              metadata:
                type: object
                properties:
                  title:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: ページから抽出されたタイトル。文字列または文字列の配列のいずれかです。
                  description:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: ページから抽出された説明。文字列または文字列の配列である場合があります
                  language:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    nullable: true
                    description: ページから抽出された言語。文字列または文字列配列のいずれかになります
                  sourceURL:
                    type: string
                    format: uri
                  keywords:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: ページから抽出されたキーワード。文字列または文字列の配列にできます。
                  ogLocaleAlternate:
                    type: array
                    items:
                      type: string
                    description: このページの他のロケール
                  '<any other metadata> ':
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
                    description: HTML から抽出されるその他のメタデータ。文字列または文字列配列となり得ます
                  statusCode:
                    type: integer
                    description: ページのステータスコード
                  error:
                    type: string
                    nullable: true
                    description: ページのエラーメッセージ
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````